
  <!-- Navigation -->
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark static-top">
    <div class="container">
      <a class="navbar-brand" href="/">OBScontrole</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
{{#compare data.etat '==' '1' }}
        <ul class="navbar-nav ml-auto">
          <li class="nav-item">
            <a class="nav-link" href="/verification">Verification</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/maintenance">Maintenance</a>
          </li>
        </ul>

      </div>
    </div>
  </nav>
{{else}}
        <ul class="navbar-nav ml-auto">
          <li class="nav-item">
          </li>
          <li class="nav-item">
          </li>
        </ul>

      </div>
    </div>
  </nav>
{{/compare}}



 <!-- Page Content -->
<section style="background: transparent !important" class="mb-0 jumbotron text-center">
  <div class="container">
        <h1 class="jumbotron-heading">IHM OBS v1.0 </h1>
  <p class="lead text-muted">

{{#compare data.etat '==' '1'}}
	{{#compare data.branche '==' '1'}}
		OBS{{#compare data.obs '==' '1'}} {{data.identifiant}}{{/compare}} connecté
	</p>
        <ul class="list-unstyled">
          <li>Liaison serie :  <i class="fas fa-check"></i> </li>
          <li>Liaison OBS : <i class="fas fa-check"></i> </li>
	 {{#compare data.obs '==' '1'}}<li>{{data.data}}</li>{{/compare}}
        </ul>

	<div class="container-fluid">
	<div class="row d-flex justify-content-center">
	</div>
	</div>


	{{else}}
		Convertisseur Série en place
</p>
        <ul class="list-unstyled">
          <li>Liaison serie :   <i class="fas fa-check"></i></li>
          <li>Liaison OBS :  <i class="fas fa-times"></i> </li>

        </ul>

	<div class="container-fluid">
	<div class="row d-flex justify-content-center">
	</div>
	</div>




	{{/compare}}
{{else}}
En attente de connexion
</p>
        <ul class="list-unstyled">
          <li>Liaison serie :  <i class="fas fa-times"></i></li>
          <li>Liaison OBS : <i class="fas fa-times"></i> </li>
        </ul>

{{/compare}}
<footer class="blockquote-footer">{{data.date}} </footer>

  </div>
</section>


<script>
$(function(){
var count=0;
	$('a').click(function(e){
		count++;
		if(count != 1) {
			e.stopImmediatePropagation();
			e.preventDefault();
		}
		$(this).attr('disabled',true);
//		alert("lol");
		console.log("clikclick");

	});

	socket.on("retour_auto_test",function(msg){
		$('.sys_obs .system_info').text(msg.sys_obs);
		$('.sys_capteur .system_info').text(msg.sys_capteur);
		$('.sys_adc .system_info').text(msg.sys_adc);
		$('.sys_horloge .system_info').text(msg.sys_horloge);
		$('.sys_memoire .system_info').text(msg.sys_memoire);
		$('.sys_conso .system_info').text(msg.sys_conso);
		console.log("retour"+msg.OBS);
		$('#auto_test').css('cursor','pointer');
		$('ul.ecosystem').toggleClass('hidden');

	});

	$('#auto_test').click(function(e){
		$('#auto_test').css('cursor','progress');
		socket.emit('auto_test');		
	});


});


</script>

